<?php

namespace App\Console\Commands;

use App\Models\Training;
use Illuminate\Console\Command;

class FinishedTraining extends Command
{
    protected $signature = 'finished_trainings:finish';

    protected $description = 'finish Finished trainings...';

    public function handle(): void
    {
        $finished_trainings = Training::whereNotNull('expired_at')->where('expired_at','<' ,now())->where('finish',0)->get();
        foreach($finished_trainings as $training){
            $training->finish = 1;
            $training->save();
        }
    }
}
