<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class TrainerReviewResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'student' => new StudentResource($this->student),
            'rate' => $this->rate,
            'comment' => $this->comment,
            'active' => $this->active,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
