<?php

namespace App\Models;

use Eloquent as Model;


/**
 * Class Trainertype_level
 * @package App\Models
 * @version April 14, 2024, 9:56 am UTC
 *
 * @property integer $user_id
 * @property integer $type_level_id
 */
class UserLevel extends Model
{

    public $table = 'user_levels';




    public $fillable = [
        'user_id',
        'type_level_id'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'user_id' => 'integer',
        'type_level_id' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [

    ];

    public function type_level()
    {
        return $this->belongsTo(TypeLevel::class,'type_level_id');
    }



}
