<?php

namespace App\Repositories;

use App\Models\ChampionshipMessage;
use App\Repositories\BaseRepository;

/**
 * Class ChampionshipMessageRepository
 * @package App\Repositories
 * @version April 16, 2024, 8:03 am UTC
*/

class ChampionshipMessageRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'championship_id',
        'user_id',
        'message'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ChampionshipMessage::class;
    }
}
