<?php

namespace App\Repositories;

use App\Models\TrainerGallery;
use App\Repositories\BaseRepository;

/**
 * Class TrainerGalleryRepository
 * @package App\Repositories
 * @version April 14, 2024, 9:59 am UTC
*/

class TrainerGalleryRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'user_id',
        'file',
        'active'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return TrainerGallery::class;
    }
}
