<?php

namespace App\Console\Commands;

use App\Models\Competition;
use Illuminate\Console\Command;

class FinishedCompetition extends Command
{
    protected $signature = 'finished_competitions:finish';

    protected $description = 'finish Finished competitions...';

    public function handle(): void
    {
        $finished_competitions = Competition::whereNotNull('expired_at')->where('expired_at','<' ,now())->where('finish',0)->get();
            foreach($finished_competitions as $competition){
                $competition->finish = 1;
                $competition->save();
    }
    }
}
