<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\AppBaseController;
use App\Models\Setting;
use Illuminate\Http\Request;

class SettingController extends AppBaseController
{
    public function index(): \Illuminate\Http\JsonResponse
    {
        $setting = Setting::first();
        return $this->sendResponseWithoutPagination(
            $setting,
            __('messages.retrieved', ['model' => __('models/setting.plural')])
        );
    }


    public function store(Request $request): \Illuminate\Http\JsonResponse
    {
        $setting = Setting::first();

        $setting->update($request->all());

        return $this->sendResponseWithoutPagination(
            $setting,
            __('messages.retrieved', ['model' => __('models/setting.plural')])
        );
    }

}
