<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class PackageResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'price' => $this->price,
            'duration' => $this->duration,
            'duration_type' => trans('duration.'.$this->duration_type),
            'type' => $this->type,
            'subscriptions_count' => $this->subscriptions()->count(),
            'active' => $this->active
        ];
    }
}
