<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class TrainerChatResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'student_id' => $this->student_id,
            'student' => new StudentResource($this->student),
            'last_message' => $this->message,
            'created_at' => $this->created_at->timezone('Africa/Cairo')->format('Y-m-d H:i:s')
        ];
    }
}
