<?php

namespace App\Http\Resources;

use App\Models\TrainingType;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class TypeLevelResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->title,
            'icon' => $this->icon <> null ? url(Storage::url($this->icon)):"",
            //'training_type' => new TrainingTypeResource($this->training_type),
            'training_type_id' => $this->training_type_id,
            'active' => $this->active
        ];
    }
}
