<?php
namespace App\Models;
class Permission extends \Spatie\Permission\Models\Permission {
	protected $fillable = ['name', 'guard_name'];

	public static function defaultPermissions() {
		return [

			'view_users',
			'add_users',
			'edit_users',
			'delete_users',


            'view_settings',
            // 'add_settings',
            'edit_settings',
            // 'delete_settings',

            'view_countries',
            'add_countries',
            'edit_countries',
            'delete_countries',

			'view_cities',
			'add_cities',
			'edit_cities',
			'delete_cities',

            'view_regions',
            'add_regions',
            'edit_regions',
            'delete_regions',

            'view_point_levels',
            'add_point_levels',
            'edit_point_levels',
            'delete_point_levels',


            'view_intro_pages',
            'add_intro_pages',
            'edit_intro_pages',
            'delete_intro_pages',


            'view_sliders',
            'add_sliders',
            'edit_sliders',
            'delete_sliders',


            'view_terms',
            'add_terms',
            'edit_terms',
            'delete_terms',



            'view_packages',
            'add_packages',
            'edit_packages',
            'delete_packages',


            'view_coupons',
            'add_coupons',
            'edit_coupons',
            'delete_coupons',


            // 'view_training_types',
            // 'add_training_types',
            // 'edit_training_types',
            // 'delete_training_types',


            'view_type_levels',
            'add_type_levels',
            'edit_type_levels',
            'delete_type_levels',

            'view_level_categories',
            'add_level_categories',
            'edit_level_categories',
            'delete_level_categories',

            'view_questions',
            'add_questions',
            'edit_questions',
            'delete_pquestions',

            'view_trainers',
            'add_trainers',
            'edit_trainers',
            'delete_trainers',

            'view_students',
            'add_students',
            'edit_students',
            'delete_students',


            // 'view_question_types',
            // 'add_question_types',
            // 'edit_question_types',
            // 'delete_question_types',

            // 'view_trainings',
            // 'add_trainings',
            // 'edit_trainings',
            // 'delete_trainings',

            // 'view_competitions',
            // 'add_competitions',
            // 'edit_competitions',
            // 'delete_competitions',


            // 'view_age_categories',
            // 'add_age_categories',
            // 'edit_age_categories',
            // 'delete_age_categories',

            'view_championships',
            'add_championships',
            'edit_championships',
            'delete_championships',

            'view_admin_notifications',
            'add_admin_notifications',
            'edit_admin_notifications',
            'delete_admin_notifications',

            'view_admin_notifications',
            'add_admin_notifications',
            'edit_admin_notifications',
            'delete_admin_notifications',

            'view_support_questions',
            'add_support_questions',
            'edit_support_questions',
            'delete_support_questions',

            'view_support_chats',
            'add_support_chats',
            'edit_support_chats',
            'delete_support_chats',


            'view_support_messages',
            'add_support_messages',
            'edit_support_messages',
            'delete_support_messages',

            'view_contact_us',
            'add_contact_us',
            'edit_contact_us',
            'delete_contact_us',


            'view_dash',

		];
	}
}
