<?php

namespace App\Repositories;

use App\Models\AgeCategory;
use App\Repositories\BaseRepository;

/**
 * Class AgeCategoryRepository
 * @package App\Repositories
 * @version April 16, 2024, 7:59 am UTC
*/

class AgeCategoryRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return AgeCategory::class;
    }
}
