<?php

namespace App\Repositories;

use App\Models\TrainingType;
use App\Repositories\BaseRepository;

/**
 * Class TrainingTypeRepository
 * @package App\Repositories
 * @version March 23, 2024, 12:50 pm UTC
*/

class TrainingTypeRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'title'
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return TrainingType::class;
    }
}
